return Def.ActorFrame {
	InitCommand=cmd(rotationz,90;rotationy,90);
	
	Def.Banner {
		InitCommand=cmd(scaletoclipped,390,194;cropright,0.1666;cropleft,0.1666);
		SetMessageCommand=function(self,params)
			if not params.Song then
				self:LoadFromCourse(params.Course);
			else
				self:LoadFromSong(params.Song);
			end;
		end;
	};
	
	Def.ActorFrame {
		SetMessageCommand=function(self,params)
		self:visible(not params.Course and (getenv("TimeLabels") or params.Song:IsLong() or params.Song:IsMarathon()));
		end;
		
		LoadActor("label")..{
			InitCommand=cmd(x,-66;y,-60);
			SetMessageCommand=function(self,params)
				if params.Song:IsLong() then
					self:diffuse(color("#008080"));
				elseif params.Song:IsMarathon() then
					self:diffuse(color("#800080"));
				else
					self:diffuse(Daycolors[Weekday()+1]);
				end
			end;
		};
		
		LoadFont("ArialOutline")..{
			InitCommand=cmd(shadowlength,0;x,-44;y,-90;horizalign,right;rotationz,-30;);
			SetMessageCommand=function(self,params)
				local stime = params.Song:MusicLengthSeconds()
				local Minutes = math.floor(stime/60)
				local Seconds = stime-(Minutes*60)
				
				self:settext(string.format("%i'%02is",Minutes,Seconds));
			end;
		};
		
		Def.Quad {
			InitCommand=cmd(y,97;zoomto,258,50;vertalign,bottom;fadetop,0.5);
			SetMessageCommand=function(self,params)
				if params.Song:IsLong() then
					self:diffuse(color("#008080"));
				elseif params.Song:IsMarathon() then
					self:diffuse(color("#800080"));
				end
				self:visible(params.Song:IsLong() or params.Song:IsMarathon());
			end;
		};
		
		LoadFont("ArialOutline")..{
			InitCommand=cmd(shadowlength,0;x,110;y,75;horizalign,right);
			SetMessageCommand=function(self,params)
				local text = ""
				if params.Song:IsLong() then
					text = "Long Version"
				elseif params.Song:IsMarathon() then
					text = "Marathon"
				end
				self:settext(text)
			end;
		};
	};
	
	Def.ActorFrame {
		SetMessageCommand=function(self,params)
		self:visible(not params.Song)
		end;
		
		--[[Def.Quad {
			InitCommand=cmd(zoomto,260,190;diffuse,1,1,1,0.1)
		};]]
		
		LoadFont("piusysfont")..{
			InitCommand=cmd(x,116;y,-85;wrapwidthpixels,200;vertalign,top;horizalign,right;diffuse,1,1,1,1;shadowlength,2;zoom,1.25);
			SetMessageCommand=function(self,params)
				local NumStages = params.Course:GetEstimatedNumStages()
				local CourseName = params.Course:GetDisplayFullTitle()
				self:settext(NumStages.." stages\n"..CourseName)
			end;
		};
	};
	
	LoadActor("BOX1_2");
}

--[[
code Daisuke Master (c)

Términos de uso:
1.- Eres libre de usar todo o parte de éste código, sólamente dame crédito o incluye este bracket de comments en el luafile
2.- No permito que se use para fines comerciales
3.- Si quieres usar el código para fin comercial
	a). Contáctame por X o Y medio pero que sea directo de preferencia
		(messenger, phone si se puede (aver donde lo consigues xD))
	b). Móchate una feriecita xD no seas gacho
]]